Subject: Re: [ofa-general] Re: IPoIB forwarding

From: Bill Fink <[email-masked]>
Date: Sat, 28 Apr 2007 02:51:17 -0400

On Fri, 27 Apr 2007, Rick Jones wrote:

> Bryan Lawver wrote:
> > I had so much debugging turned on that it was not the "slowing of the 
> > traffic" but the "non-coelescencing" that was the remedy.  The NIC is a 
> > MyriCom NIC and these are easy options to set.
> 
> As chance would have it, I've played with some Myricom myri10ge NICs recently, 
> and even disabled large receive offload during some netperf tests :)  It is a 
> modprobe option.  Going back now to the driver source and the README I see :-)
> 
> 
> <excerpt>
> Troubleshooting
> ===============
> 
> Large Receive Offload (LRO) is enabled by default.  This will
> interfere with forwarding TCP traffic.  If you plan to forward TCP
> traffic (using the host with the Myri10GE NIC as a router or bridge),
> you must disable LRO.  To disable LRO, load the myri10ge driver
> with myri10ge_lro set to 0:
> 
>           # modprobe myri10ge myri10ge_lro=0
> 
> Alternatively, you can disable LRO at runtime by disabling
> receive checksum offloading via ethtool:
> 
>     # ethtool -K eth2 rx off
> 
> </excerpt>
> 
> rick jones

What version of the myri10ge driver is this?  With the 1.2.0 version
that comes with the 2.6.20.7 kernel, there is no myri10ge_lro module
parameter.

[root@lang2 ~]# modinfo myri10ge | grep -i lro
[root@lang2 ~]# 

And I've been testing IP forwarding using two Myricom 10-GigE NICs
without setting any special modprobe parameters.

						-Bill